import { Bee } from '@ethersphere/bee-js';
import { Chunk, ChunkAddress } from '@fairdatasociety/bmt-js';
import { Reference } from 'mantaray-js';
declare type Options = {
    filename: string;
    beeUrl: string;
    stamp: string;
    deferred?: boolean;
    parallelism?: number;
    contentType?: string;
    retries?: number;
    onSuccessfulChunkUpload?: (chunk: Chunk, context: Context) => Promise<void>;
    onFailedChunkUpload?: (chunk: Chunk, context: Context) => Promise<void>;
};
declare type Context = Required<Options> & {
    bee: Bee;
};
declare type Result = {
    rootChunkAddress: ChunkAddress;
    bzzReference: Reference;
    context: Context;
};
export declare function uploadChunked(bytes: Uint8Array, options: Options): Promise<Result>;
export {};
